org.apache.trevni.avro.mapreduce

## Class AvroTrevniKeyInputFormat<T>

- java.lang.Object
- - org.apache.hadoop.mapreduce.InputFormat<K,V>
  - - org.apache.hadoop.mapreduce.lib.input.FileInputFormat<org.apache.avro.mapred.AvroKey<T>,NullWritable>
    - - org.apache.trevni.avro.mapreduce.AvroTrevniKeyInputFormat<T>

    public class AvroTrevniKeyInputFormat<T>
    extends FileInputFormat<org.apache.avro.mapred.AvroKey<T>,NullWritable>

An `InputFormat` for Trevni files. This implement was modeled off `AvroKeyInputFormat` to allow for easy transition A MapReduce InputFormat that can handle Trevni container files.

Keys are AvroKey wrapper objects that contain the Trevni data. Since Trevni container files store only records (not key/value pairs), the value from this InputFormat is a NullWritable.

A subset schema to be read may be specified with `AvroJob.setInputKeySchema(org.apache.hadoop.mapreduce.Job, org.apache.avro.Schema)`.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.lib.input.FileInputFormat

`FileInputFormat.Counter`

### Field Summary

### Fields inherited from class org.apache.hadoop.mapreduce.lib.input.FileInputFormat

`DEFAULT_LIST_STATUS_NUM_THREADS, INPUT_DIR, INPUT_DIR_NONRECURSIVE_IGNORE_SUBDIRS, INPUT_DIR_RECURSIVE, LIST_STATUS_NUM_THREADS, NUM_INPUT_FILES, PATHFILTER_CLASS, SPLIT_MAXSIZE, SPLIT_MINSIZE`

### Constructor Summary

Constructors
Constructor and Description
`AvroTrevniKeyInputFormat()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RecordReader<org.apache.avro.mapred.AvroKey<T>,NullWritable>` `createRecordReader(InputSplit split, TaskAttemptContext context)`

### Methods inherited from class org.apache.hadoop.mapreduce.lib.input.FileInputFormat

`addInputPath, addInputPathRecursively, addInputPaths, computeSplitSize, getBlockIndex, getFormatMinSplitSize, getInputDirRecursive, getInputPathFilter, getInputPaths, getMaxSplitSize, getMinSplitSize, getSplits, isSplitable, listStatus, makeSplit, makeSplit, setInputDirRecursive, setInputPathFilter, setInputPaths, setInputPaths, setMaxInputSplitSize, setMinInputSplitSize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AvroTrevniKeyInputFormat

    public AvroTrevniKeyInputFormat()

### Method Detail

#### createRecordReader

    public RecordReader<org.apache.avro.mapred.AvroKey<T>,NullWritable> createRecordReader(InputSplit split,
                                                                                           TaskAttemptContext context)
                                                                                    throws IOException,
                                                                                           InterruptedException

Specified by:
  `createRecordReader` in class `InputFormat<org.apache.avro.mapred.AvroKey<T>,NullWritable>`
Throws:
  `IOException`
  `InterruptedException`